Upgrading RHEV-M from 3.1 to 3.2 fails with the error message: "keytool error: java.lang.Exception: Input not an X.509 certificate"

Solution Verified - Updated -

Issue

When upgrading rhevm from 3.1 to 3.2, it fails with the error message: "keytool error: java.lang.Exception: Input not an X.509 certificate"

Environment

  • Red Hat Enterprise Virtualization 3.1
  • Red Hat Enterprise Virtualization 3.2
  • Java packages:
    • glassfish-javamail-1.4.5-1.redhat_1.ep6.el6.noarch
    • java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
    • java-1.6.0-openjdk-1.6.0.0-1.62.1.11.11.90.el6_4.x86_64
    • java-1.6.0-openjdk-devel-1.6.0.0-1.62.1.11.11.90.el6_4.x86_64
    • java-1.6.0-sun-1.6.0.45-1jpp.1.el6.x86_64
    • java-1.6.0-sun-devel-1.6.0.45-1jpp.1.el6.x86_64
    • java-1.7.0-openjdk-1.7.0.25-2.3.10.4.el6_4.x86_64
    • java_cup-0.10k-5.el6.x86_64
    • javassist-3.15.0-5.GA_redhat_2.ep6.el6.3.noarch
    • javassist-eap6-3.15.0-5.GA_redhat_2.ep6.el6.3.noarch
    • votopi-java-1.0.0-2.el6ev.noarch
    • ovirt-host-deploy-java-1.0.0-2.el6ev.noarch

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In